#version 300 es

precision mediump float;

in vec4 aPosition;
in vec2 aTextureCoord;

out vec2 v_originTexCoord;

void main() {
    gl_Position = aPosition;
    // 根据 uUpsetDown 判断是否需要垂直翻转纹理坐标
    v_originTexCoord = vec2(aTextureCoord.x, 1.0 - aTextureCoord.y);
}